Changeset e1f2655


Ignore:
Timestamp:
02/16/2018 11:36:14 PM (4 years ago)
Author:
Ken Moffat <ken@…>
Branches:
10.0, 10.1, 11.0, 8.2, 8.3, 8.4, 9.0, 9.1, basic, bdubbs/svn, elogind, ken/refactor-virt, lazarus, perl-modules, qt5new, trunk, xry111/git-date, xry111/git-date-for-trunk, xry111/git-date-test
Children:
b6e7006
Parents:
1cccded
Message:

Net::DNS-1.15 (perl module). Remove references from it to Digest::HMAC which is not *required* for tests to pass (neither is the unmentioned Net::DNS::SEC) and to core module IO - we have been on perl-5.26 for long enough to drop that old reference.

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@19784 af4574ff-66df-0310-9fd7-8a98e5e911e0

Files:
3 edited

Legend:

Unmodified
Added
Removed
  • general/prog/perl-modules.xml

    r1cccded re1f2655  
    16321632MD5 sum: &Net-DNS-md5sum;</literallayout>
    16331633        <itemizedlist>
    1634           <listitem><literallayout><ulink url="http://search.cpan.org/dist/Digest-HMAC/">Digest::HMAC</ulink>
    1635 (http://search.cpan.org/dist/Digest-HMAC/) (for the testsuite)</literallayout>
    1636           </listitem>
    16371634          <listitem><literallayout><ulink url="http://search.cpan.org/dist/IO-Socket-INET6/">IO::Socket::INET6</ulink>
    16381635(http://search.cpan.org/dist/IO-Socket-INET6/) (required for IPv6 support)</literallayout>
     
    16421639              </listitem>
    16431640            </itemizedlist>
    1644           </listitem>
    1645           <listitem><literallayout><ulink url="http://search.cpan.org/dist/IO/">IO</ulink>
    1646 (http://search.cpan.org/dist/IO/)
    1647 (for the IO::Socket module, which is a core module, but whose version is too old in 5.24.1)</literallayout>
    16481641          </listitem>
    16491642        </itemizedlist>
  • introduction/welcome/changelog.xml

    r1cccded re1f2655  
    4545      <para>February 16th, 2018</para>
    4646      <itemizedlist>
     47        <listitem>
     48          <para>[ken] - Update to Net::DNS-1.15 (perl module). Fixes
     49          <ulink url="&blfs-ticket-root;10376">#10376</ulink>.</para>
     50        </listitem>
    4751        <listitem>
    4852          <para>[ken] - Update ImageMagick to 7.0.7-33 and ImageMagick6
  • packages.ent

    r1cccded re1f2655  
    381381<!ENTITY LWP-Protocol-https-version   "6.06">
    382382<!ENTITY Module-Build-version         "0.4224">
    383 <!ENTITY Net-DNS-version              "1.14">
     383<!ENTITY Net-DNS-version              "1.15">
    384384<!ENTITY Parse-Yapp-version           "1.21">
    385385<!ENTITY PerlIO-utf8_strict-version   "0.007">
Note: See TracChangeset for help on using the changeset viewer.